package com.ann.demo.primaryRepository;

import com.ann.demo.primaryEntity.ScanningFile;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ScanningFileRepository extends JpaRepository<ScanningFile,Integer> {
    // and  FBIHID = '370067' and FBINCU = '4'
    @Query(nativeQuery= true,value = "select  top 70 * from  scanning_file where STATUS = 0 order by id")
    public List<ScanningFile> findScanningFiles();
}
